Subject: Re: [RFC PATCH]: Fix a warning in the niu driver

From: Prarit Bhargava <[email-masked]>
Date: Wed, 14 Jul 2010 14:26:34 -0400

On 07/14/2010 02:28 PM, David Miller wrote:
> From: Prarit Bhargava <[email-masked]>
> Date: Wed, 14 Jul 2010 09:18:31 -0400
>
>   
>> Dave, would it be acceptable if I then wrapped link in
>> uninitialized_var() to get rid of the warning I'm trying to resolve?  It
>> seems that your patch then checks for a valid page value so it should be
>> okay.
>>     
> If the patch I posted doesn't fix your warning, the compiler is broken.
>
>   

Oops -- my bad.  I think I fat fingered something.  Your patch
absolutely fixes the warning.  Thanks Dave.

P.